aboutsummaryrefslogtreecommitdiff
path: root/share/provision/debian/lsd
diff options
context:
space:
mode:
Diffstat (limited to 'share/provision/debian/lsd')
-rwxr-xr-xshare/provision/debian/lsd57
1 files changed, 57 insertions, 0 deletions
diff --git a/share/provision/debian/lsd b/share/provision/debian/lsd
new file mode 100755
index 0000000..2b4a35e
--- /dev/null
+++ b/share/provision/debian/lsd
@@ -0,0 +1,57 @@
+#!/usr/bin/env bash
+#
+# Provisioner for the Lightweight Software Distribution - LSD.
+#
+# Copyright (C) 2020 Silvio Rhatto - rhatto at riseup.net
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published
+# by the Free Software Foundation, either version 3 of the License,
+# or any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+#
+
+# Parameters
+DIRNAME="`dirname $0`"
+BASENAME="`basename $0`"
+HOSTNAME="$1"
+DOMAIN="$2"
+MIRROR="$3"
+APT_INSTALL="sudo LC_ALL=C DEBIAN_FRONTEND=noninteractive apt-get install -y"
+
+# Ensure we're in the home folder
+cd
+
+# Dependencies
+echo "Installing basic dependencies..."
+$APT_INSTALL git curl make wipe man zsh || exit 1
+
+# Tools
+if [ ! -e "apps/infection" ]; then
+ rm -rf apps
+ git clone --recursive https://git.fluxo.info/rhatto/apps
+ apps/infection init
+else
+ echo "Updating locally-installed apps and dotfiles..."
+ apps/infection fetch
+ apps/infection merge
+ apps/metadot/metadot fetch
+ apps/metadot/metadot merge
+fi
+
+# Load basic config
+apps/metadot/metadot load-bundle console
+apps/metadot/metadot deps-bundle console
+
+# Install hydra system-wide
+apps/hydra/hydractl install
+
+# Install trashman system-wide
+sudo apps/trashman/trashman install trashman